from pathlib import Path
from typing import Final, TypeAlias

LIB_ROOT_FOLDER: Final[Path] = Path(__file__).parent
if not LIB_ROOT_FOLDER.exists():
    raise FileNotFoundError(f"Lib root folder not found under: >{LIB_ROOT_FOLDER}<")

MSVC_FOLDER: Final[Path] = LIB_ROOT_FOLDER / "_files/msvc-redist"
if not MSVC_FOLDER.exists():
    raise FileNotFoundError(f"Folder for MSVC Redist files not found under: >{MSVC_FOLDER}<")

PyVersionToReleaseTag: TypeAlias = tuple[str, str]
PY_VERSION_TO_RELEASE_TAG_PAIRS: Final[tuple[PyVersionToReleaseTag, ...]] = (
    ("3.11.12", "20250409"),
    ("3.11.13", "20250702"),
)
